IntegrationsMeta Ads

Get one campaign with budgets, bid strategy, spend cap, special ad categories and delivery issues.

POST
/integrations/connections/{connection_id}/providers/metaads/campaigns/get

Get one campaign with budgets, bid strategy, spend cap, special ad categories and delivery issues.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/metaads/campaigns/get" \  -H "Content-Type: application/json" \  -d '{    "ad_account_id": "1",    "campaign_id": "1"  }'
{  "id": "example",  "name": "Customer documents",  "objective": "example",  "status": "ACTIVE",  "effective_status": "example",  "daily_budget": 0,  "lifetime_budget": 0,  "budget_remaining": 0,  "bid_strategy": "example",  "buying_type": "example",  "start_time": "example",  "stop_time": "example",  "created_time": "example",  "updated_time": "example",  "spend_cap": 0,  "special_ad_categories": [],  "issues_info": []}